#
# spec file for package gnome-clocks
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2012 Dominique Leuenberger, Amsterdam, The Netherlands.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gnome-clocks
Version:        3.8.2
Release:        0
Summary:        Clock application designed for GNOME 3
License:        GPL-2.0+
Group:          Productivity/Office/Other
Url:            https://live.gnome.org/Design/Apps/Clock
Source:         http://download.gnome.org/sources/gnome-clocks/3.8/%{name}-%{version}.tar.xz
# For icont_theme_chache post and postun macros
BuildRequires:  hicolor-icon-theme
BuildRequires:  intltool >= 0.40
BuildRequires:  translation-update-upstream
BuildRequires:  update-desktop-files
BuildRequires:  vala >= 0.17.4
BuildRequires:  pkgconfig(gio-2.0) >= 2.30.0
BuildRequires:  pkgconfig(gnome-desktop-3.0) >= 3.7.90
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.7.12
BuildRequires:  pkgconfig(gweather-3.0) >= 3.7.90
BuildRequires:  pkgconfig(libcanberra) >= 0.30
BuildRequires:  pkgconfig(libnotify) >= 0.7.0
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%glib2_gsettings_schema_requires

%description
A nice simple app to show the time, date, and alarms.

%lang_package
%prep
%setup -q
translation-update-upstream

%build
%configure

%install
%make_install
%suse_update_desktop_file %{name} Utility X-SuSE-TimeUtility
%find_lang %{name} %{?no_lang_C}

%post
%glib2_gsettings_schema_post
%icon_theme_cache_post
%icon_theme_cache_post HighContrast
%desktop_database_post

%postun
%glib2_gsettings_schema_postun
%icon_theme_cache_postun
%icon_theme_cache_postun HighContrast
%desktop_database_postun

%files
%defattr(-,root,root)
%doc README COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/glib-2.0/schemas/org.gnome.clocks.gschema.xml
%{_datadir}/icons/hicolor/*/apps/gnome-clocks.*
%{_datadir}/icons/HighContrast/
%{_datadir}/applications/%{name}.desktop

%files lang -f %{name}.lang

%changelog
